Class Index | File Index

## Classes

- _global_
- comb
- comb.array
- comb.characters
- comb.collections
- comb.collections.AnderssonTree
- comb.collections.AVLTree
- comb.collections.BinaryTree
- comb.collections.Collection
- comb.collections.HashTable
- comb.collections.Heap
- comb.collections.Iterable
- comb.collections.MaxHeap
- comb.collections.MinHeap
- comb.collections.Pool
- comb.collections.PriorityQueue
- comb.collections.Queue
- comb.collections.RedBlackTree
- comb.collections.Stack
- comb.collections.Tree
- comb.date
- comb.logging
- comb.logging.appenders
- comb.logging.appenders.Appender
- comb.logging.appenders.ConsoleAppender
- comb.logging.appenders.FileAppender
- comb.logging.appenders.JSONAppender
- comb.logging.appenders.RollingFileAppender
- comb.logging.BasicConfigurator
- comb.logging.Level
- comb.logging.Logger
- comb.logging.PropertyConfigurator
- comb.number
- comb.plugins
- comb.plugins.Broadcaster
- comb.plugins.Middleware
- comb.Promise
- comb.PromiseList
- comb.regexp
- comb.string

# Class comb.collections.Collection

Base class for all collections
Defined in: Collection.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| comb.collections.Collection()

Method Summary
Method Attributes | Method Name and Description
--- | ---
| concat() Concats two collections
| indexOf() Find the index of an item in a collection
| join() Joins two collections
| lastIndexOf() Find the last index of an item in a collection
| slice() Slice a portion from a collection
| toString() Convert a collection to a string

Class Detail
comb.collections.Collection()
Method Detail
concat()
Concats two collections

indexOf()
Find the index of an item in a collection

join()
Joins two collections

lastIndexOf()
Find the last index of an item in a collection

slice()
Slice a portion from a collection

toString()
Convert a collection to a string

Documentation generated by JsDoc Toolkit 2.4.0 on Tue Oct 25 2011 13:20:06 GMT-0500 (CDT)